Package com.io7m.cardant.database.api

# Interface CADatabaseQueriesLocationsType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesLocationsType.AttachmentAddType`, `CADatabaseQueriesLocationsType.AttachmentRemoveType`, `CADatabaseQueriesLocationsType.GetType`, `CADatabaseQueriesLocationsType.ListType`, `CADatabaseQueriesLocationsType.MetadataPutType`, `CADatabaseQueriesLocationsType.MetadataRemoveType`, `CADatabaseQueriesLocationsType.PutType`, `CADatabaseQueriesLocationsType.TypesAssignType`, `CADatabaseQueriesLocationsType.TypesRevokeType`

All Known Implementing Classes:
  `CADBQLocationAttachmentAdd`, `CADBQLocationAttachmentRemove`, `CADBQLocationGet`, `CADBQLocationList`, `CADBQLocationMetadataPut`, `CADBQLocationMetadataRemove`, `CADBQLocationPut`, `CADBQLocationTypesAssign`, `CADBQLocationTypesRevoke`

public sealed interface CADatabaseQueriesLocationsType extends CADatabaseQueriesType permits CADatabaseQueriesLocationsType.PutType, CADatabaseQueriesLocationsType.GetType, CADatabaseQueriesLocationsType.ListType, CADatabaseQueriesLocationsType.MetadataPutType, CADatabaseQueriesLocationsType.MetadataRemoveType, CADatabaseQueriesLocationsType.AttachmentAddType, CADatabaseQueriesLocationsType.AttachmentRemoveType, CADatabaseQueriesLocationsType.TypesAssignType, CADatabaseQueriesLocationsType.TypesRevokeType
Model database queries (Locations).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesLocationsType.AttachmentAddType`
  Add an attachment to the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.AttachmentRemoveType`
  Remove an attachment from the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.GetType`
  Retrieve a location.
  `static interface`
  `CADatabaseQueriesLocationsType.ListType`
  List locations.
  `static interface`
  `CADatabaseQueriesLocationsType.MetadataPutType`
  Add or update metadata on a location.
  `static interface`
  `CADatabaseQueriesLocationsType.MetadataRemoveType`
  Remove metadata from a location.
  `static interface`
  `CADatabaseQueriesLocationsType.PutType`
  Create or update the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.TypesAssignType`
  Assign types to the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.TypesRevokeType`
  Revoke types from the given location.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`